<?php

(static function (): void {
	ini_set('max_execution_time', 300);
	header('Content-Type: text/plain');
	
	$curl = curl_init();
	/** @noinspection CurlSslServerSpoofingInspection */
	curl_setopt_array($curl, array(
			CURLOPT_SSL_VERIFYPEER => false,
			CURLOPT_SSL_VERIFYHOST => false,
			CURLOPT_HEADER => true,
			CURLOPT_RETURNTRANSFER => 1));
	
	ob_start();
	foreach (glob("files/*.*") as $file) {
		$url = "https://localhost/apache-extensions/$file";
		curl_setopt($curl, CURLOPT_URL, $url);
		$result = curl_exec($curl);
		
		if (preg_match("~content-type: ([^\\n\\r]+)~i", $result, $m)) {
			$ext = substr(basename($file), 4);
			echo "$ext\t{$m[1]}\n";
		} else {
			unlink(__DIR__ . "/$file");
		}
	}
	
	$list = ob_get_clean();
	file_put_contents(__DIR__ . "/base-extensions.txt", $list);
	
	echo "Total\t" . substr_count($list, "\n") . "\n\n";
	echo $list;
})();
